/*
 * Sweep, a sound wave editor.
 *
 * Copyright (C) 2000 Conrad Parker
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#if 0
static char *rect_xpm [] =
{
  "22 22 61 1",
  " 	c None",
  ".	c #000000",
  "+	c #FFFFFF",
  "@	c #DADADA",
  "#	c #D8D8D9",
  "$	c #D4D5D7",
  "%	c #D1D2D5",
  "&	c #CECED3",
  "*	c #CBCBD1",
  "=	c #C8C8CF",
  "-	c #C4C5CD",
  ";	c #D9D9DA",
  ">	c #D6D6D8",
  ",	c #D3D3D6",
  "'	c #CFD0D4",
  ")	c #CCCDD2",
  "!	c #C9CAD0",
  "~	c #C6C6CE",
  "{	c #C3C3CC",
  "]	c #D7D7D9",
  "^	c #D4D4D7",
  "/	c #D1D1D5",
  "(	c #CACBD1",
  "_	c #C7C8CF",
  ":	c #C1C2CB",
  "<	c #D6D6D6",
  "[	c #232323",
  "}	c #D9D9D9",
  "|	c #D5D6D7",
  "1	c #D2D2D6",
  "2	c #CFCFD4",
  "3	c #CCCCD2",
  "4	c #C8C9D0",
  "5	c #C5C6CE",
  "6	c #C2C3CC",
  "7	c #BFC0CA",
  "8	c #D7D7D8",
  "9	c #D4D4D6",
  "0	c #D0D1D4",
  "a	c #CDCED2",
  "b	c #CACAD1",
  "c	c #C7C7CF",
  "d	c #C3C4CD",
  "e	c #C0C1CB",
  "f	c #BDBEC9",
  "g	c #0F0F0F",
  "h	c #D5D5D7",
  "i	c #D2D2D5",
  "j	c #CFCFD3",
  "k	c #CBCCD1",
  "l	c #C8C9CF",
  "m	c #C5C6CD",
  "n	c #C2C2CC",
  "o	c #BEBFCA",
  "p	c #BDBEC8",
  "q	c #D0D0D4",
  "r	c #CDCDD2",
  "s	c #C6C7CE",
  "t	c #C3C4CC",
  "u	c #C0C1CA",
  "v	c #BEBFC9",
  "                      ",
  "                      ",
  "                      ",
  "                      ",
  "     ..++..++..++.    ",
  "     +@@@@#$%&*=-..   ",
  "     +@@@;>,')!~{+..  ",
  "     .@@@]^/&(_-:<..  ",
  "     .@@}|1234567...  ",
  "     +@@890abcdef...  ",
  "     +@#hijklmnop+..  ",
  "     .@>,qr!stupp+..  ",
  "     .#$%&*=-:vpp...  ",
  "     +>,')!~{7ppp...  ",
  "     +..++..++..++..  ",
  "        ............  ",
  "         ..........   ",
  "                      ",
  "                      ",
  "                      ",
  "                      ",
  "                      "};


static char *magnify_xpm [] =
{
  "22 22 50 1",
  " 	c None",
  ".	c #46463E",
  "+	c #090908",
  "@	c #3C3C3B",
  "#	c #000000",
  "$	c #3A3A34",
  "%	c #9D9D8D",
  "&	c #CFCFB9",
  "*	c #C4C4AF",
  "=	c #8D8D7F",
  "-	c #61615E",
  ";	c #45453E",
  ">	c #9C9C8C",
  ",	c #E2E2D0",
  "'	c #EDEDE5",
  ")	c #C0C0AC",
  "!	c #B2B29F",
  "~	c #828274",
  "{	c #080807",
  "]	c #D5D5BF",
  "^	c #FBFBFA",
  "/	c #C3C3AE",
  "(	c #B5B5A2",
  "_	c #A6A695",
  ":	c #959586",
  "<	c #080808",
  "[	c #CACAB5",
  "}	c #DDDDD0",
  "|	c #B7B7A4",
  "1	c #AAAA98",
  "2	c #9B9B8B",
  "3	c #8C8C7D",
  "4	c #46463F",
  "5	c #929283",
  "6	c #BABAA7",
  "7	c #ADAD9B",
  "8	c #9F9F8E",
  "9	c #8F8F80",
  "0	c #6E6E62",
  "a	c #54544C",
  "b	c #33332E",
  "c	c #878779",
  "d	c #A0A090",
  "e	c #6F6F63",
  "f	c #111110",
  "g	c #4A4A42",
  "h	c #3B3B3B",
  "i	c #323232",
  "j	c #020202",
  "k	c #151515",
  "                      ",
  "                      ",
  "                      ",
  "                      ",
  "      .+@#            ",
  "     $%&*=#           ",
  "    ;>,')!~#          ",
  "    {]^/(_:+          ",
  "    <[}|123+          ",
  "    4567890;          ",
  "    abcd5e###         ",
  "     fg++hi##j        ",
  "           ####       ",
  "            k###      ",
  "             ####     ",
  "              j##     ",
  "                      ",
  "                      ",
  "                      ",
  "                      ",
  "                      ",
  "                      "};
#endif
